import { css, LitElement, html } from 'lit';
import { defineElement } from '@umbraco-ui/uui-base/lib/registration';

class UUIRefListElement extends LitElement {
  render() {
    return html`<slot></slot>`;
  }
}
UUIRefListElement.styles = [
  css`
      :host {
        display: block;
      }

      ::slotted(*:not(:first-child)) {
        margin-top: 1px;
      }
      ::slotted(*:not(:first-child))::before {
        content: '';
        position: absolute;
        top: -1px;
        width: 100%;
        border-top: 1px solid lightgrey;
      }
    `
];

defineElement("uui-ref-list", UUIRefListElement);
